## TpRoomInfo

TpRoomInfo — a room found by TpRoomList

## Functions

const gchar * | tp_room_info_get_channel_type ()
const gchar * | tp_room_info_get_description ()
TpHandle | tp_room_info_get_handle ()
const gchar * | tp_room_info_get_handle_name ()
gboolean | tp_room_info_get_invite_only ()
guint | tp_room_info_get_members_count ()
const gchar * | tp_room_info_get_name ()
gboolean | tp_room_info_get_requires_password ()
const gchar * | tp_room_info_get_room_id ()
const gchar * | tp_room_info_get_server ()
const gchar * | tp_room_info_get_subject ()

## Types and Values

struct | TpRoomInfo
struct | TpRoomInfoClass

## Object Hierarchy

        GObject
        ╰── TpRoomInfo

## Includes

    #include <telepathy-glib/telepathy-glib.h>

## Description

TpRoomInfo represents a room found during a room listing using TpRoomList.

See also: TpRoomList

## Functions

### tp_room_info_get_channel_type ()

    const gchar *
    tp_room_info_get_channel_type (TpRoomInfo *self);

#### Parameters

self | a TpRoomInfo |

#### Returns

a string representing the D-Bus interface name of the channel type of the room

Since: 0.19.0

### tp_room_info_get_description ()

    const gchar *
    tp_room_info_get_description (TpRoomInfo *self);

#### Parameters

self | a TpRoomInfo |

#### Returns

a description of the room's overall purpose

Since: 0.19.0

### tp_room_info_get_handle ()

    TpHandle
    tp_room_info_get_handle (TpRoomInfo *self);

#### Parameters

self | a TpRoomInfo |

#### Returns

the TpHandle of the room

Since: 0.19.0

### tp_room_info_get_handle_name ()

    const gchar *
    tp_room_info_get_handle_name (TpRoomInfo *self);

#### Parameters

self | a TpRoomInfo |

#### Returns

the identifier of the room (as would be returned by inspecting the TpHandle returned by `tp_room_info_get_handle()`)

Since: 0.19.0

### tp_room_info_get_invite_only ()

    gboolean
    tp_room_info_get_invite_only (TpRoomInfo *self,
                                  gboolean *known);

#### Parameters

self | a TpRoomInfo |
known | either `NULL`, or a location in which to store `TRUE` if the returned value is meaningful |

#### Returns

`TRUE` if you cannot join the room, but must be invited

Since: 0.19.0

### tp_room_info_get_members_count ()

    guint
    tp_room_info_get_members_count (TpRoomInfo *self,
                                    gboolean *known);

#### Parameters

self | a TpRoomInfo |
known | either `NULL`, or a location in which to store `TRUE` if the returned value is meaningful |

#### Returns

the number of members in the room

Since: 0.19.0

### tp_room_info_get_name ()

    const gchar *
    tp_room_info_get_name (TpRoomInfo *self);

#### Parameters

self | a TpRoomInfo |

#### Returns

the human-readable name of the room if different from the handle

Since: 0.19.0

### tp_room_info_get_requires_password ()

    gboolean
    tp_room_info_get_requires_password (TpRoomInfo *self,
                                        gboolean *known);

#### Parameters

self | a TpRoomInfo |
known | either `NULL`, or a location in which to store `TRUE` if the returned value is meaningful |

#### Returns

`TRUE` if the room requires a password to enter

Since: 0.19.0

### tp_room_info_get_room_id ()

    const gchar *
    tp_room_info_get_room_id (TpRoomInfo *self);

#### Parameters

self | a TpRoomInfo |

#### Returns

the human-readable identifier of the room

Since: 0.19.0

### tp_room_info_get_server ()

    const gchar *
    tp_room_info_get_server (TpRoomInfo *self);

#### Parameters

self | a TpRoomInfo |

#### Returns

the DNS name of the server hosting the room

Since: 0.19.0

### tp_room_info_get_subject ()

    const gchar *
    tp_room_info_get_subject (TpRoomInfo *self);

#### Parameters

self | a TpRoomInfo |

#### Returns

the current subject of conversation in the room

Since: 0.19.0

## Types and Values

### struct TpRoomInfo

    struct TpRoomInfo;

Data structure representing a TpRoomInfo.

Since: 0.19.0

### struct TpRoomInfoClass

    struct TpRoomInfoClass {
    };

The class of a TpRoomInfo.

Since: 0.19.0